Khronos Public Bugzilla
Bug 449 - TexImage3d marked as deprecated
TexImage3d marked as deprecated
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: Registry
4.1
PC Linux
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-13 10:06 PDT by Stephen A.
Modified: 2013-06-18 16:10 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen A. 2011-03-13 10:06:02 PDT
gl.spec marks TexImage3d as deprecated in OpenGL 3.1 [1]. However, this method is still available in OpenGL 4.1 core profile, as evidenced by the reference card. [2]

This affects the C# bindings found at http://www.opentk.com, which respect deprecation warnings.

[1] http://www.opengl.org/registry/api/gl.spec
[2] http://www.khronos.org/files/opengl41-quick-reference-card.pdf
Comment 1 Sean Harmer 2013-04-03 08:56:51 PDT
I've just run into this too with the Qt OpenGL code generator. I'll special case it there but it would be nice if this simple mistake could be fixed in gl.spec.
Comment 2 Jon Leech 2013-06-18 16:10:31 PDT
As mentioned on the discussion boards, the old .spec files are themselves
deprecated in favor of the new XML API Registry, which uses a more explicit
means for describing profiles and removal of functionality; I don't think
the problem you describe exists there although there isn't exactly a 1:1
mapping between .spec and XML. We aren't planning to update .spec files
going forward, so I encourage you to migrate to the XML registry. I did
patch this one issue in the public SVN version of gl.spec, since it was
a one-liner.